Subject: Re: [RFC] Alternative hidden netwirk device interface

From: Christoph Hellwig <[email-masked]>
Date: Tue, 30 Jan 2007 10:09:19 +0000

On Mon, Jan 29, 2007 at 02:09:58PM -0800, Stephen Hemminger wrote:
> Change to allow register_netdevice() to be called with a blank name.
> If name is blank, it is not put in name hash list, and doesn't
> show up in /sys or /proc

That sounds even better indeed!

Of course register_netdevice should grow a detailed explanation of
this behaviour in the kdoc comment.